<?php

namespace Chemical\Import\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Chemical\Import\Interfaces\ImportRepositoryInterface;

class ImportPublicController extends BaseController
{
    // use ImportWorkflow;

    /**
     * Constructor.
     *
     * @param type \Chemical\Import\Interfaces\ImportRepositoryInterface $import
     *
     * @return type
     */
    public function __construct(ImportRepositoryInterface $import)
    {
        $this->repository = $import;
        parent::__construct();
    }

    /**
     * Show import's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $imports = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$import::import.names'))
            ->view('import::import.index')
            ->data(compact('imports'))
            ->output();
    }


    /**
     * Show import.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $import = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$import->name . trans('import::import.name'))
            ->view('import::import.show')
            ->data(compact('import'))
            ->output();
    }

}
