<?php

namespace Chemical\Import\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ImportTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Import\Models\Import $import)
    {
        return [
            'id'                => $import->getRouteKey(),
            'key'               => [
                'public'    => $import->getPublicKey(),
                'route'     => $import->getRouteKey(),
            ], 
            'id'                => $import->id,
            'seller_id'         => $import->seller_id,
            'product_id'        => $import->product_id,
            'country_id'        => $import->country_id,
            'producer_name'     => $import->producer_name,
            'hs_code'           => $import->hs_code,
            'weight'            => $import->weight,
            'value'             => $import->value,
            'avg_weight'        => $import->avg_weight,
            'avg_value'         => $import->avg_value,
            'no_of_shipments'   => $import->no_of_shipments,
            'import_date'       => $import->import_date,
            'details'           => $import->details,
            'created_at'        => $import->created_at,
            'updated_at'        => $import->updated_at,
            'deleted_at'        => $import->deleted_at,
            'url'               => [
                'public'    => trans_url('import/'.$import->getPublicKey()),
                'user'      => guard_url('import/import/'.$import->getRouteKey()),
            ], 
            'status'            => trans('app.'.$import->status),
            'created_at'        => format_date($import->created_at),
            'updated_at'        => format_date($import->updated_at),
        ];
    }
}